import { Tensor } from '@tensorflow/tfjs-core';
import { default as BaseLayer, ForwardAttributes } from './BaseLayer';
import { GPTConfig } from '../main';
export interface MLPConfig {
    activation?: 'gelu' | 'relu2';
    hiddenFactor?: number;
}
export default class MLP extends BaseLayer {
    private index;
    private hiddenUnits;
    private MLPHIDDEN;
    private MLPOUT;
    private mlpConfig;
    constructor(index: number, config: GPTConfig, mlpConfig: MLPConfig, parent?: BaseLayer);
    protected build(): void;
    forward(attr: ForwardAttributes, x: Tensor): Tensor;
}
